<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>RideAttractionReport</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RideAttractionReport";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RideAttractionReport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">statistics</a></div>
<h2 title="Class RideAttractionReport" class="title">Class RideAttractionReport</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="StatisticsReport.html" title="class in statistics">statistics.StatisticsReport</a></li>
<li>
<ul class="inheritance">
<li>statistics.RideAttractionReport</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">RideAttractionReport</span>
extends <a href="StatisticsReport.html" title="class in statistics">StatisticsReport</a></pre>
<div class="block">Class for report the ride attraction statistics of the park</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_ATTRACTION">ERROR_ATTRACTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rideAttraction">rideAttraction</a></span></code></th>
<td class="colLast">
<div class="block">Assistance statistics</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ACTIVE_DAYS">TEXT_ACTIVE_DAYS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_ID_ATTRACTION">TEXT_ID_ATTRACTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_MEDIA">TEXT_MEDIA</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_RIDE_ATTRACTION">TEXT_RIDE_ATTRACTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.statistics.StatisticsReport">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;statistics.<a href="StatisticsReport.html" title="class in statistics">StatisticsReport</a></h3>
<code><a href="StatisticsReport.html#TEXT_ADULTS">TEXT_ADULTS</a>, <a href="StatisticsReport.html#TEXT_CHILDREN">TEXT_CHILDREN</a>, <a href="StatisticsReport.html#TEXT_MONTH">TEXT_MONTH</a>, <a href="StatisticsReport.html#TEXT_NUM_DAYS">TEXT_NUM_DAYS</a>, <a href="StatisticsReport.html#TEXT_TOTAL">TEXT_TOTAL</a>, <a href="StatisticsReport.html#TEXT_YEAR">TEXT_YEAR</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(statistics.RideAttractionStatistics)">RideAttractionReport</a></span>&#8203;(<a href="RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a>&nbsp;rideAttraction)</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#annual()">annual</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays ride attraction data for one year</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#byDate()">byDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays ride attraction data between a period of dates</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#monthly()">monthly</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays ride attraction data for one month</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#print(java.lang.String,java.lang.String,attractions.Attraction,statistics.RideAttraction,int,int)">print</a></span>&#8203;(java.lang.String&nbsp;title,
     java.lang.String&nbsp;cost,
     <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
     <a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&nbsp;data,
     int&nbsp;activeDays,
     int&nbsp;numDays)</code></th>
<td class="colLast">
<div class="block">Show ride attraction data on screen</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requestIdAttraction()">requestIdAttraction</a></span>()</code></th>
<td class="colLast">
<div class="block">Requests the user one string id attraction</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.statistics.StatisticsReport">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;statistics.<a href="StatisticsReport.html" title="class in statistics">StatisticsReport</a></h3>
<code><a href="StatisticsReport.html#requestPeriod()">requestPeriod</a>, <a href="StatisticsReport.html#requestYear()">requestYear</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="TEXT_ID_ATTRACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ID_ATTRACTION</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ID_ATTRACTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#statistics.RideAttractionReport.TEXT_ID_ATTRACTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_RIDE_ATTRACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_RIDE_ATTRACTION</h4>
<pre>private static final&nbsp;java.lang.String TEXT_RIDE_ATTRACTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#statistics.RideAttractionReport.TEXT_RIDE_ATTRACTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_ACTIVE_DAYS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_ACTIVE_DAYS</h4>
<pre>private static final&nbsp;java.lang.String TEXT_ACTIVE_DAYS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#statistics.RideAttractionReport.TEXT_ACTIVE_DAYS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_MEDIA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_MEDIA</h4>
<pre>private static final&nbsp;java.lang.String TEXT_MEDIA</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#statistics.RideAttractionReport.TEXT_MEDIA">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_ATTRACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_ATTRACTION</h4>
<pre>private static final&nbsp;java.lang.String ERROR_ATTRACTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#statistics.RideAttractionReport.ERROR_ATTRACTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="rideAttraction">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rideAttraction</h4>
<pre>private final&nbsp;<a href="RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a> rideAttraction</pre>
<div class="block">Assistance statistics</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(statistics.RideAttractionStatistics)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RideAttractionReport</h4>
<pre>public&nbsp;RideAttractionReport&#8203;(<a href="RideAttractionStatistics.html" title="class in statistics">RideAttractionStatistics</a>&nbsp;rideAttraction)</pre>
<div class="block">Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rideAttraction</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="annual()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>annual</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;annual()</pre>
<div class="block">Displays ride attraction data for one year</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="StatisticsReport.html#annual()">annual</a></code>&nbsp;in class&nbsp;<code><a href="StatisticsReport.html" title="class in statistics">StatisticsReport</a></code></dd>
</dl>
</li>
</ul>
<a id="byDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byDate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;byDate()</pre>
<div class="block">Displays ride attraction data between a period of dates</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="StatisticsReport.html#byDate()">byDate</a></code>&nbsp;in class&nbsp;<code><a href="StatisticsReport.html" title="class in statistics">StatisticsReport</a></code></dd>
</dl>
</li>
</ul>
<a id="monthly()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>monthly</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;monthly()</pre>
<div class="block">Displays ride attraction data for one month</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="StatisticsReport.html#monthly()">monthly</a></code>&nbsp;in class&nbsp;<code><a href="StatisticsReport.html" title="class in statistics">StatisticsReport</a></code></dd>
</dl>
</li>
</ul>
<a id="print(java.lang.String,java.lang.String,attractions.Attraction,statistics.RideAttraction,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>print</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;print&#8203;(java.lang.String&nbsp;title,
                   java.lang.String&nbsp;cost,
                   <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                   <a href="RideAttraction.html" title="class in statistics">RideAttraction</a>&nbsp;data,
                   int&nbsp;activeDays,
                   int&nbsp;numDays)</pre>
<div class="block">Show ride attraction data on screen</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
<dd><code>cost</code> - </dd>
<dd><code>attraction</code> - </dd>
<dd><code>data</code> - </dd>
<dd><code>activeDays</code> - </dd>
<dd><code>numDays</code> - </dd>
</dl>
</li>
</ul>
<a id="requestIdAttraction()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>requestIdAttraction</h4>
<pre class="methodSignature">private&nbsp;java.lang.String&nbsp;requestIdAttraction()</pre>
<div class="block">Requests the user one string id attraction</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RideAttractionReport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
